For the complete documentation index, see llms.txt. This page is also available as Markdown.

FindByService

Find accounts based on various search methods.

Symitar eDocs References: SymXchange FindBy Service

Operations

findByActiveCard

post

Finds an account by active card.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CardNumberstringRequired

The card number used to search for accounts.

Responses
200

Successful operation.

application/json
AccountNumberstring · nullableOptional

The unique 10-digit account number assigned to an account.

MessageIdstringOptional

The SymXchange operation message identifier.

post/findByActiveCard
POST /nexum/627/2022.01/findby/findByActiveCard HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 167

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CardNumber": "1234567891234567",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "AccountNumber": null,
  "MessageId": "findByActiveCard"
}

findByAnyCard

post

Finds an account by any card.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CardNumberstringRequired

The card number used to search for accounts.

Responses
200

Successful operation.

application/json
AccountNumberstring[]Optional

A list of unique 10-digit account numbers.

post/findByAnyCard
POST /nexum/627/2022.01/findby/findByAnyCard HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 167

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CardNumber": "1234567891234567",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "AccountNumber": [],
  "MessageId": "findByAnyCard"
}

findByHomeUser

post

Finds an account by home user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
HomeBankingUserNamestringRequired

The home banking user used to search for accounts.

Responses
200

Successful operation.

application/json
AccountNumberstringOptional

The unique 10-digit account number assigned to an account.

post/findByHomeUser
POST /nexum/627/2022.01/findby/findByHomeUser HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "HomeBankingUserName": "Zamora",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "AccountNumber": null,
  "MessageId": "findByHomeUser"
}

findByMICR

post

Finds an account by MICR.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
MICRstringRequired

The Magnetic Ink Character Recognition (MICR) number used to search for accounts.

DraftstringRequired

The draft number used to search for accounts.

Responses
200

Successful operation.

application/json
post/findByMICR
POST /nexum/627/2022.01/findby/findByMICR HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 170

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "MICR": "12345678",
  "Draft": "123456",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Result": {
    "AccountNumber": "0000013826",
    "IdType": "SHARE",
    "Id": "0020"
  },
  "MessageId": "findByMICR"
}

findByLookup

post

Finds an account by lookup.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LookupTypeintegerRequired

The type of lookup used to search for accounts.

LookupNumberstringRequired

The lookup number used to search for accounts.

Responses
200

Successful operation.

application/json
AccountNumberstringOptional

The unique 10-digit account number assigned to an account.

post/findByLookup
POST /nexum/627/2022.01/findby/findByLookup HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 175

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LookupType": 0,
  "LookupNumber": "TESTING",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Result": {
    "AccountNumber": "0000014117",
    "IdType": "NONE",
    "Id": null
  },
  "AccountNumber": null,
  "MessageId": "findByLookup"
}

findBySSN

post

Finds an account by SSN.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
SSNstringRequired

The Social Security Number (SSN) used to search for accounts.

Responses
200

Successful operation.

application/json
AccountNumberstring[]Optional

A list of unique 10-digit account numbers.

MessageIdstringOptional

The SymXchange operation message identifier.

post/findBySSN
POST /nexum/627/2022.01/findby/findBySSN HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SSN": "849705024",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "AccountNumber": [
    "0000013824",
    "0000013324"
  ],
  "MessageId": "findBySSN"
}

findByShortName

post

Finds an account by short name.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ShortNamestringRequired

The short name used to search for accounts.

Responses
200

Successful operation.

application/json
AccountNumberstring[]Optional

A list of unique 10-digit account numbers.

MessageIdstringOptional

The SymXchange operation message identifier.

post/findByShortName
POST /nexum/627/2022.01/findby/findByShortName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 156

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ShortName": "Zamora",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "AccountNumber": [
    "0000013614",
    "0000014113",
    "0000013512",
    "0000013824",
    "0000013324"
  ],
  "MessageId": "findByShortName"
}

Last updated

Was this helpful?